import App
import MissionLib
import Lib.LibEngineering
import Bridge.BridgeMenus
import BridgeHandlers

Forepercent = 0
Portpercent = 0
Starpercent = 0
Dorsalpercent = 0
Ventralpercent = 0
Aftpercent = 0

def init():

 	global pCountdownTimer, Aftpercent, Forepercent, Portpercent, Starpercent, Dorsalpercent, Ventralpercent, pFore, pAft, pVentral, pDorsal, pStar, pPort

 	pBridge = App.g_kSetManager.GetSet('bridge')
	pFelixMenu = Lib.LibEngineering.GetBridgeMenu("Tactical")
	pMain = App.STMenu_CreateW(App.TGString("Shield Status"))
	pFelixMenu.PrependChild(pMain)

 	pFore = Lib.LibEngineering.CreateMenuButton("Fore: "+ str(Forepercent), "Tactical", __name__ + ".Nothing", 0, pMain)
 	pAft = Lib.LibEngineering.CreateMenuButton("Aft: "+ str(Aftpercent), "Tactical", __name__ + ".Nothing", 0, pMain)
 	pVentral = Lib.LibEngineering.CreateMenuButton("Ventral: "+ str(Ventralpercent), "Tactical", __name__ + ".Nothing", 0, pMain)
 	pDorsal = Lib.LibEngineering.CreateMenuButton("Dorsal: "+ str(Dorsalpercent), "Tactical", __name__ + ".Nothing", 0, pMain)
 	pStar = Lib.LibEngineering.CreateMenuButton("Star: "+ str(Starpercent), "Tactical", __name__ + ".Nothing", 0, pMain)
 	pPort = Lib.LibEngineering.CreateMenuButton("Port: "+ str(Portpercent), "Tactical", __name__ + ".Nothing", 0, pMain)
	pAutoStart = MissionLib.CreateTimer(Lib.LibEngineering.GetEngineeringNextEventType(), __name__ + ".CountdownIncrement", App.g_kUtopiaModule.GetGameTime() +1, 0, 0)

def CountdownIncrement(pObject, pEvent):
 	        global pCountdownTimer, Aftpercent, Forepercent, Portpercent, Starpercent, Dorsalpercent, Ventralpercent, pFore, pAft, pVentral, pDorsal, pStar, pPort 

		pPlayer	= MissionLib.GetPlayer()


		AftShieldCur = pPlayer.GetShields().GetSingleShieldPercentage(App.ShieldClass.REAR_SHIELDS)
		Aftpercent = int(AftShieldCur*100)

		ForeShieldCur = pPlayer.GetShields().GetSingleShieldPercentage(App.ShieldClass.FRONT_SHIELDS)
		Forepercent = int(ForeShieldCur*100)

		PortShieldCur = pPlayer.GetShields().GetSingleShieldPercentage(App.ShieldClass.LEFT_SHIELDS)
		Portpercent = int(PortShieldCur*100)

		StarShieldCur = pPlayer.GetShields().GetSingleShieldPercentage(App.ShieldClass.RIGHT_SHIELDS)
		Starpercent = int(StarShieldCur*100)

		DorsalShieldCur = pPlayer.GetShields().GetSingleShieldPercentage(App.ShieldClass.TOP_SHIELDS)
		Dorsalpercent = int(DorsalShieldCur*100)

		VentralShieldCur = pPlayer.GetShields().GetSingleShieldPercentage(App.ShieldClass.BOTTOM_SHIELDS)
		Ventralpercent = int(VentralShieldCur*100)

	        pAft.SetName(App.TGString("Aft: "+ str(Aftpercent)+"%"))
	        pFore.SetName(App.TGString("Fore: "+ str(Forepercent)+"%"))
	       	pPort.SetName(App.TGString("Port: "+ str(Portpercent)+"%"))
	       	pStar.SetName(App.TGString("Star: "+ str(Starpercent)+"%"))
	        pDorsal.SetName(App.TGString("Dorsal: "+ str(Dorsalpercent)+"%"))
	        pVentral.SetName(App.TGString("Ventral: "+ str(Ventralpercent)+"%"))

		if (Aftpercent == 0):
		        pAft.SetName(App.TGString("Aft: Offline"))
		if (Forepercent == 0):
		        pFore.SetName(App.TGString("Fore: Offline"))
		if (Portpercent == 0):
		        pPort.SetName(App.TGString("Port: Offline"))
		if (Starpercent == 0):
		       pStar.SetName(App.TGString("Star: Offline"))
		if (Dorsalpercent == 0):
		       pDorsal.SetName(App.TGString("Dorsal: Offline"))
		if (Ventralpercent == 0):
		        pVentral.SetName(App.TGString("Ventral: Offline"))

		pCountdownTimer = MissionLib.CreateTimer(Lib.LibEngineering.GetEngineeringNextEventType(), __name__ + ".CountdownIncrement", App.g_kUtopiaModule.GetGameTime() +1, 0, 0)

